Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.state
Class TreeState

    java.lang.Object
      org.richfaces.component.state.TreeState

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.StateHolder, javax.faces.event.FacesListener, org.ajax4jsf.model.DataComponentState, TreeStateCommandsListener

    public class TreeState

extends java.lang.Object
implements org.ajax4jsf.model.DataComponentState, TreeStateCommandsListener, javax.faces.component.StateHolder

Author:
  Nick Belaevski - nbelaevski@exadel.com created 23.11.2006

Constructor Summary
`TreeState(boolean stopInCollapsed)`

Method Summary
`void` | `collapseAll(UITree tree)`
`void` | `collapseNode(UITree tree, org.richfaces.model.TreeRowKey rowKey)`
`void` | `expandAll(UITree tree)`
`void` | `expandNode(UITree tree, org.richfaces.model.TreeRowKey rowKey)`
`org.ajax4jsf.model.Range` | `getRange()`
`org.richfaces.model.TreeRowKey` | `getSelectedNode()`
`boolean` | `isExpanded(org.richfaces.model.TreeRowKey rowKey)`
`boolean` | `isSelected(org.richfaces.model.TreeRowKey rowKey)`
`boolean` | `isStopInCollapsed()`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setSelected(org.richfaces.model.TreeRowKey rowKey)`
`void` | `setStopInCollapsed(boolean stopInCollapsed)`
`void` | `setTransient(boolean newTransientValue)`
`void` | `transferQueuedNodes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeState

    public TreeState(boolean stopInCollapsed)

Method Detail

### isExpanded

    public boolean isExpanded(org.richfaces.model.TreeRowKey rowKey)

### isSelected

    public boolean isSelected(org.richfaces.model.TreeRowKey rowKey)

### getSelectedNode

    public org.richfaces.model.TreeRowKey getSelectedNode()

### setSelected

    public void setSelected(org.richfaces.model.TreeRowKey rowKey)

### getRange

    public org.ajax4jsf.model.Range getRange()

  Specified by:
    `getRange` in interface `org.ajax4jsf.model.DataComponentState`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

### isStopInCollapsed

    public boolean isStopInCollapsed()

### setStopInCollapsed

    public void setStopInCollapsed(boolean stopInCollapsed)

### expandAll

    public void expandAll(UITree tree)
                   throws java.io.IOException

  Specified by:
    `expandAll` in interface `TreeStateCommandsListener`
  Throws:
    `java.io.IOException`

### collapseAll

    public void collapseAll(UITree tree)
                     throws java.io.IOException

  Specified by:
    `collapseAll` in interface `TreeStateCommandsListener`
  Throws:
    `java.io.IOException`

### collapseNode

    public void collapseNode(UITree tree,
                             org.richfaces.model.TreeRowKey rowKey)
                      throws java.io.IOException

  Specified by:
    `collapseNode` in interface `TreeStateCommandsListener`
  Throws:
    `java.io.IOException`

### expandNode

    public void expandNode(UITree tree,
                           org.richfaces.model.TreeRowKey rowKey)
                    throws java.io.IOException

  Specified by:
    `expandNode` in interface `TreeStateCommandsListener`
  Throws:
    `java.io.IOException`

### transferQueuedNodes

    public void transferQueuedNodes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.